WordPress.org

Support

Support » Plugins and Hacks » [Resolved] (YARPP 3.3.1) Warning: cannot yet handle MBCS in html_entity_decode()!

[Resolved] (YARPP 3.3.1) Warning: cannot yet handle MBCS in html_entity_decode()!

  • After upgarding to the YARPP 3.3.1, I’m getting the below errors.

    (1)Warning: cannot yet handle MBCS in html_entity_decode()! in /home/geek21/public_html/wp-content/plugins/yet-another-related-posts-plugin/keywords.php on line 8

    (2)Warning: Cannot modify header information – headers already sent by (output started at /home/geek21/public_html/wp-content/plugins/yet-another-related-posts-plugin/keywords.php:8) in /home/geek21/public_html/wp-includes/pluggable.php on line 897

    (3)Other YARPP options are disappeared from setting page except “Display options for your website” and “Display options for RSS”.

    Does anyone has the same issue?

Viewing 4 replies - 1 through 4 (of 4 total)
  • The MBCS error means that you’re not using PHP 5. PHP 5 is required for YARPP. Please upgrade to PHP 5 or tell your hosting to switch you to PHP 5.

    @themitcho I’ve switched to PHP5. YARPP 3.3.1 is now working fine. Thnx:)

    Well I am already on PHP 5.2 (hosted) and YARPP 3.3.1, and when I make a change to a post from the admin pages I get the above error. The only way I can make a change and save it is to disable the plugin, make the change and save it, then enable the plugin again. I also have the same problem when working locally on a new site. Not really a good way to work – disappointed.

    I suggest you upgrade to PHP 5.3, or check your PHP ini settings to make sure that multibyte support (MBCS) is enabled. It is required for YARPP and is a standard part of most PHP 5 builds, but of course a custom PHP binary may lack this for some reason.

Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘[Resolved] (YARPP 3.3.1) Warning: cannot yet handle MBCS in html_entity_decode()!’ is closed to new replies.